Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.renderable
Class GLSLCylinder

    java.lang.Object
      de.grogra.imp3d.glsl.renderable.GLSLRenderable
          de.grogra.imp3d.glsl.renderable.GLSLInstanceableRenderable
              de.grogra.imp3d.glsl.renderable.GLSLBitCache
                  de.grogra.imp3d.glsl.renderable.GLSLAxis
                      de.grogra.imp3d.glsl.renderable.GLSLFrustumBase
                          de.grogra.imp3d.glsl.renderable.GLSLCylinder

    public class GLSLCylinder

extends GLSLFrustumBase

Field Summary
`protected float` | `radius`

Fields inherited from class de.grogra.imp3d.glsl.renderable.GLSLFrustumBase
`BASE_OPEN_MASK, TOP_OPEN_MASK, USED_BITS`

Fields inherited from class de.grogra.imp3d.glsl.renderable.GLSLAxis
`endPosition, length, SCALE_V_MASK, startPosition`

Fields inherited from class de.grogra.imp3d.glsl.renderable.GLSLBitCache
`BITMASK`

Fields inherited from class de.grogra.imp3d.glsl.renderable.GLSLInstanceableRenderable
`DIRECT, INDIRECT, INSTANCIATED`

Constructor Summary
`GLSLCylinder()`

Method Summary
`void` | `draw(OpenGLState glState, RenderState rs)`
`GLSLRenderable` | `getInstance()`
`java.lang.Class<?>` | `instanceFor()`
`protected void` | `updateInstanceByInstancing(Renderable reference, GraphState gs)`
`protected void` | `updateInstanceDirect(Renderable reference)`
`protected void` | `updateInstanceIndirect(java.lang.Object state, boolean asNode, GraphState gs)`

Methods inherited from class de.grogra.imp3d.glsl.renderable.GLSLBitCache
`getBool, setBool`

Methods inherited from class de.grogra.imp3d.glsl.renderable.GLSLInstanceableRenderable
`updateInstance`

Methods inherited from class de.grogra.imp3d.glsl.renderable.GLSLRenderable
`activateShader, drawAlt, findShader, isShaderDependant`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### radius

    protected float radius

Constructor Detail

### GLSLCylinder

    public GLSLCylinder()

Method Detail

### draw

    public void draw(OpenGLState glState,
                     RenderState rs)

  Specified by:
    `draw` in class `GLSLRenderable`

### getInstance

    public GLSLRenderable getInstance()

  Specified by:
    `getInstance` in class `GLSLRenderable`

### instanceFor

    public java.lang.Class<?> instanceFor()

  Specified by:
    `instanceFor` in class `GLSLRenderable`

### updateInstanceByInstancing

    protected void updateInstanceByInstancing(Renderable reference,
                                              GraphState gs)

  Overrides:
    `updateInstanceByInstancing` in class `GLSLAxis`

### updateInstanceDirect

    protected void updateInstanceDirect(Renderable reference)

  Overrides:
    `updateInstanceDirect` in class `GLSLAxis`

### updateInstanceIndirect

    protected void updateInstanceIndirect(java.lang.Object state,
                                          boolean asNode,
                                          GraphState gs)

  Overrides:
    `updateInstanceIndirect` in class `GLSLAxis`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD